%def_enable sourceview_doc
%define realname gtksourceview-sharp-2.0

Summary: GtkSourceView bindings for Mono
Name: libgtksourceview-sharp
Version: 0.10
Release: alt5
License: LGPL
Group: Development/Other
Packager: Mono Maintainers Team <mono@packages.altlinux.org>

Source: http://go-mono.com/sources/%realname/%realname-%version.tar.bz2
URL: http://www.mono-project.com/
Requires: libgtksourceview

BuildPreReq: rpm-build-mono
BuildPreReq: libgnome-sharp-devel >= 1.9.3
BuildPreReq: libgtksourceview-devel >= 1.0
BuildRequires: /proc
# Automatically added by buildreq on Thu Oct 12 2006
BuildRequires: mono-mcs
%if_enabled sourceview_doc
BuildRequires: monodoc >= 1.1.10 mono-tools
%endif

%description
This package provides Mono bindings for GtkSourceView, a child of
the GTK+ text widget which implements syntax highlighting and
other features typical of a source editor.

%package devel
Summary: Mono's development files for GtkSourceview.
Group: Development/Other
Requires: %name = %version-%release

%description devel
The gtksourceview-sharp-devel package development files for GtkSourceview

%package doc
Summary: Mono's documentation for GtkSourceview API.
Group: Development/Other
Requires: monodoc

%description doc
The gtksourceview-sharp-doc package documentation for GtkSourceview API

%prep
%setup -q -n %realname-%version
subst "s|^pkgconfigdir = ..prefix./lib/pkgconfig|pkgconfigdir = %_pkgconfigdir|" \
	Makefile.{am,in}

%build
%configure
%make

%install
%make_install DESTDIR=%buildroot install 

%files
%doc AUTHORS ChangeLog
%_monogacdir/*
%_monodir/gtksourceview-sharp-2.0

%files devel
%_pkgconfigdir/*
%_datadir/gapi-2.0/*.xml

%if_enabled sourceview_doc
%files doc
%_monodocdir/*
%endif

%changelog
* Tue Mar 20 2007 Ildar Mulyukov <ildar@altlinux.ru> 0.10-alt5
- rebuild

* Fri Oct 13 2006 Ildar Mulyukov <ildar@altlinux.ru> 0.10-alt4
- fixed pkgconfigdir for x86_64 build

* Thu Oct 12 2006 Ildar Mulyukov <ildar@altlinux.ru> 0.10-alt3
- rpm-build-mono support
- some spec cleanups

* Tue Oct 11 2005 Evgeny Sinelnikov <sin@altlinux.ru> 0.10-alt2
- Rebuild with mono-1.1.10

* Sun May 22 2005 Evgeny Sinelnikov <sin@altlinux.ru> 0.10-alt1
- Update to release

* Mon May 16 2005 Evgeny Sinelnikov <sin@altlinux.ru> 0.7-alt1
- Inital release for ALT
